// This example sketch connects to shiftr.io
// and sends a message on every kestroke.
//
// After starting the sketch you can find the
// client here: https://shiftr.io/try.
//
// by Joël Gähwiler
// https://github.com/256dpi/processing-mqtt

import mqtt.*;

MQTTClient client;
boolean led = false;
String message = "";
int[] coords = new int[2];

void connect() {
  client.connect("mqtt://try:try@broker.shiftr.io", "Processing");
  client.subscribe("/etopTopic");
}

void setup() {
  size(600, 800);
  textSize(50);
  client = new MQTTClient(this);
  connect();
}

void draw() {
  if (message != "") {
    background(0);
    text(message, 10, height/2);
    message = "";
    rect(coords[0], coords[1], 50, 50);
  }
}


void keyPressed() {
  led = !led;
  client.publish("/ptoeTopic", (led?"0":"1")+"Hi peter");
}

void mousePressed() {
  led = !led;
  client.publish("/ptoeTopic", (led?"0":"1")+"Hi peter");
}

void messageReceived(String topic, byte[] payload) {
  println("new message: " + topic + " - " + new String(payload));
  message = topic + " - " + new String(payload);
  coords = int(split(trim(new String(payload)), ','));
}