// This example sketch connects to shiftr.io
// and sends a message on every kestroke.
//
// After starting the sketch you can find the
// client here: https://shiftr.io/try.
//
// by Joël Gähwiler
// https://github.com/256dpi/processing-mqtt

import mqtt.*;

MQTTClient client;
String message = "";

void connect() {
  client.connect("mqtt://try:try@broker.shiftr.io", "Processing2");
  client.subscribe("/ptoeTopic");
}

void setup() {
  size(600, 800);
  textSize(20);
  client = new MQTTClient(this);
  connect();
}

void draw() {
  if (message != "") {
    background(0);
    text(message, 10, height/2);
    message = "";
  }
}


void keyPressed() {
  client.publish("/etopTopic", ""+mouseX+","+mouseY);
}

void mouseClicked() {
  client.publish("/etopTopic", ""+mouseX+","+mouseY);
}

void messageReceived(String topic, byte[] payload) {
  println("new message: " + topic + " - " + new String(payload));
  message = topic + " - " + new String(payload);
}