import nl.tue.id.oocsi.*;

// ******************************************************
// This example requires a running OOCSI server!
//
// How to do that? Check: Examples > Tools > LocalServer
//
// More information how to run an OOCSI server
// can be found here: https://iddi.github.io/oocsi/)
// ******************************************************

OOCSI oocsi;

void setup() {
  fullScreen();
  // connect to OOCSI server running on the same machine (localhost)
  // with "senderName" to be my channel others can send data to
  // (for more information how to run an OOCSI server refer to: https://iddi.github.io/oocsi/)
  oocsi = new OOCSI(this, "senderName", "131.155.214.79");
}

void draw() {
  background(0);
  fill(255);
  rect(mouseX,mouseY,50,50);
}

void mouseDragged() {
  // send to OOCSI ...
  oocsi
    // on channel "testchannel"...
  .channel("testchannel")
    // data labeled "color"...
    .data("color", int(map(mouseX,0,width,0,200)))
      // data labeled "position"...
      .data("position", int(map(mouseY,0,height,0,200)))
        // send finally
        .send();
}